h26645
s 00077/00000/00000
d D 1.1 83/03/23 16:21:39 bog 1 0
c date and time created 83/03/23 16:21:39 by bog
e
u
4
U
t
T
I 1
`############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#	Function:  							    #
#		EmXStr							    #
#		    Emulator Straps Common Definitions			    #
#									    #
#	Called By:							    #
#		included in most Emulator modules			    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
',`dnl
CommonOrg
# Straps
 # Character cell is native char size or 4010 size
 CommonLVar(`MNative')		LOGICAL Native
 
 # Preserve aspect ration or fill screen
 CommonLVar(`MPAspct')		LOGICAL PAspct
 
 # Cr => Lf
 CommonLVar(`MCrImplLf')	LOGICAL CrLf
 
 # Lf => Cr
 CommonLVar(`MLfCr')		LOGICAL LfCr
 
 # DEL => LoY
 CommonLVar(`MDelLoY')		LOGICAL DelLoY
 
 
 # Terminator for Gin reports
 CommonCVar(`MGinTrm')		CHARACTER GinTrm
  define(`NOGINTERM',0)dnl
  define(`CRGINTERM',1)dnl
  define(`CREOTGINTERM',2)dnl
 
 # Local/Remote echo
 CommonLVar(`MLocEch')		LOGICAL LocEch
 
 # Break on Page Full
 CommonLVar(`MPFBrk')		LOGICAL PFBrk
 
 # Hard Copy on Page Full
 CommonLVar(`MPFHdCp')		LOGICAL PFHdCp
 
 # Wait for RELEASE on Page Full
 CommonLVar(`MPFWait')		LOGICAL PFWait
 
 # Erase on Page Full
 CommonLVar(`MPFPage')		LOGICAL PFPage
 
CommonCArray(`CStrap')
CommonLArray(`LStrap')
',`dnl
Common /Strap/ CStrap,LStrap
',`dnl
Equivalence	(Native,	LStrap(MNative))
Equivalence	(PAspct,	LStrap(MPAspct))
Equivalence	(CrLf,		LStrap(MCrImplLf))
Equivalence	(LfCr,		LStrap(MLfCr))
Equivalence	(DelLoY,	LStrap(MDelLoY))
Equivalence	(GinTrm,	CStrap(MGinTrm))
Equivalence	(LocEch,	LStrap(MLocEch))
Equivalence	(PFBrk,		LStrap(MPFBrk))
Equivalence	(PFHdCp,	LStrap(MPFHdCp))
Equivalence	(PFWait,	LStrap(MPFWait))
Equivalence	(PFPage,	LStrap(MPFPage))
'dnl
E 1
